<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificationsForwardsTable extends Migration {

	public function up()
	{
		Schema::create('notifications_forwards', function(Blueprint $table) {
			$table->increments('id');
			$table->timestamps();
			$table->softDeletes();
			$table->integer('notification_id')->nullable();
			$table->enum('type', array('1', '2', '3', '4', '5', '6', '7', '8', '9', '10'));
			$table->integer('forward_id')->nullable();
		});
	}

	public function down()
	{
		Schema::drop('notifications_forwards');
	}
}